// creator  : weidu.exe (version 23100)
// argument : _CHANTH.DLG
// game		 : .
// source	 : ./override/_CHANTH.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_CHANTH~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #80232 /* ~Welcome!  Luck has seen fit to drop you in the lap of the Lady, and she shall take good care of you indeed.  Those who dare are always seen in the best light, and we require but a small donation of coin for what ever you need.~ */
  IF ~~ THEN REPLY #80233 /* ~We have no need of your services.~ */ EXIT
  IF ~~ THEN REPLY #80234 /* ~Could you show us what you have to offer.~ */ DO ~StartStore("_TEM0132",LastTalkedToBy(Myself))
~ EXIT
  IF ~Global("HelpJalantha","GLOBAL",1)
Global("TalkedToUlbright","GLOBAL",0)
~ THEN REPLY #80235 /* ~We are in desperate need of a book known as the book of wisdom.  Please, we will do anything if you'd only give it to us.~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from:
  SAY #80236 /* ~Go with all speed, and trust in the Lady when adversity tests your verve.  She will see you through... or perhaps not.  Chance decrees what will be.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.2
  SAY #80237 /* ~The Book of Wisdom is a very holy book.  Why should I give it to the likes of you?~ */
  IF ~PartyGoldGT(499)
~ THEN REPLY #80238 /* ~We'll give you 500 gold for the book!~ */ GOTO 5
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #80239 /* ~You must trust us.  We'll die if we don't get this book.  Please, you don't want our deaths on your conscience... do you?~ */ GOTO 3
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #80239 /* ~You must trust us.  We'll die if we don't get this book.  Please, you don't want our deaths on your conscience... do you?~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 2.1
  SAY #80240 /* ~Your plea seems genuine.  If your very lives depend upon having this book, then here, you may have it.~ */
  IF ~~ THEN DO ~SetGlobal("TalkedToUlbright","GLOBAL",1)
GiveItem("_BOOK08",LastTalkedToBy)
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.2
  SAY #80241 /* ~I cannot simply trust anyone who comes up to me with such stories.  I apologize, but I cannot give you the book.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 2.0
  SAY #80242 /* ~If you are willing to pay such large sums of money, then you must be in dire need.  Here, take the book.~ */
  IF ~~ THEN DO ~SetGlobal("TalkedToUlbright","GLOBAL",1)
GiveItem("_BOOK08",LastTalkedToBy)
~ EXIT
END
